Update tzdata to version 2021a

Bug #1913482 reported by Brian Murray on 2021-01-27
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Brian Murray
Bionic
Undecided
Brian Murray
Focal
Undecided
Brian Murray
Groovy
Undecided
Brian Murray

Bug Description

New upstream version affecting the following timestamp:

- South Sudan changes from +03 to +02 on 2021-02-01 at 00:00.

$region/$timezone = Africa/Juba

Verification is done with 'zdump'. The first timezone that gets changed in the updated package is dumped with 'zdump -v $region/$timezone_that_changed' (this needs to be greped for in /usr/share/zoneinfo/). [For example: 'zdump -v Africa/Juba'.] This is compared to the same output after the updated package got installed. If those are different the verification is considered done.

[Test Case for all releases]
1) zdump -v Africa/Juba | grep 2021

For releases with ICU timezone data verification is done using the following with dates before and after the change:
[Test Case for releases >= 20.04 LTS]
1) sudo apt-get install python3-icu
2) python3 -c 'from datetime import datetime; from icu import ICUtzinfo, TimeZone; tz = ICUtzinfo(TimeZone.creat eTimeZone('Africa/Juba')); print(str(tz.utcoffset(datetime(2021, 2, 1))))'

Additionally, an upstream update of tzdata removed the 'old' SystemV timezones, so we should ensure that they are kept in Ubuntu 20.04 LTS and earlier releases. Subsequently, these should be checked for using the following:

[Test Case for releases <= 20.04 LTS]
diff <(zdump -v America/Phoenix | cut -d' ' -f2-) <(zdump -v SystemV/MST7 | cut -d' ' -f2-)

Nothing should be returned by the above command.

Changed in tzdata (Ubuntu):
status: New → In Progress
assignee: nobody → Brian Murray (brian-murray)
description: updated
Brian Murray (brian-murray) wrote :

Trusty debdiff.

Changed in tzdata (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Bionic):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Focal):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Groovy):
assignee: nobody → Brian Murray (brian-murray)
Brian Murray (brian-murray) wrote :

Precise debdiff.

tags: added: patch

Hello Brian, or anyone else affected,

Accepted tzdata into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2021a-0ubuntu0.20.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Groovy):
status: New → Fix Committed
tags: added: verification-needed verification-needed-groovy
Łukasz Zemczak (sil2100) wrote :

Hello Brian, or anyone else affected,

Accepted tzdata into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2021a-0ubuntu0.20.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed-focal
Łukasz Zemczak (sil2100) wrote :

Hello Brian, or anyone else affected,

Accepted tzdata into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2021a-0ubuntu0.18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Brian, or anyone else affected,

Accepted tzdata into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2021a-0ubuntu0.16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial

All autopkgtests for the newly accepted tzdata (2021a-0ubuntu0.20.04) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

libical3/3.0.8-1 (s390x)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#tzdata

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

All autopkgtests for the newly accepted tzdata (2021a-0ubuntu0.20.10) for groovy have finished running.
The following regressions have been reported in tests triggered by the package:

gnustep-base/1.27.0-3build3 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/groovy/update_excuses.html#tzdata

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

All autopkgtests for the newly accepted tzdata (2021a-0ubuntu0.18.04) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

gnustep-base/1.25.1-2ubuntu3 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#tzdata

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Brian Murray (brian-murray) wrote :

tzdata verification on groovy:

bdmurray@clean-groovy-amd64:~$ zdump -v Africa/Juba | grep 2021
bdmurray@clean-groovy-amd64:~$ apt-cache policy tzdata
tzdata:
  Installed: 2021a-0ubuntu0.20.10
  Candidate: 2021a-0ubuntu0.20.10
  Version table:
 *** 2021a-0ubuntu0.20.10 500
        500 http://192.168.10.7/ubuntu groovy-proposed/main amd64 Packages
        500 http://192.168.10.7/ubuntu groovy-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     2020f-0ubuntu0.20.10.1 500
        500 http://192.168.10.7/ubuntu groovy-updates/main amd64 Packages
        500 http://192.168.10.7/ubuntu groovy-updates/main i386 Packages
        500 http://192.168.10.7/ubuntu groovy-security/main amd64 Packages
        500 http://192.168.10.7/ubuntu groovy-security/main i386 Packages
     2020b-1ubuntu1 500
        500 http://192.168.10.7/ubuntu groovy/main amd64 Packages
        500 http://192.168.10.7/ubuntu groovy/main i386 Packages
bdmurray@clean-groovy-amd64:~$ zdump -v Africa/Juba | grep 2021
Africa/Juba Sun Jan 31 20:59:59 2021 UT = Sun Jan 31 23:59:59 2021 EAT isdst=0 gmtoff=10800
Africa/Juba Sun Jan 31 21:00:00 2021 UT = Sun Jan 31 23:00:00 2021 CAT isdst=0 gmtoff=7200

ICU data verification:

bdmurray@clean-groovy-amd64:~$ python3 -c "from datetime import datetime; from icu import ICUtzinfo, TimeZone; tz = ICUtzinfo(TimeZone.createTimeZone('Africa/Juba')); print(str(tz.utcoffset(datetime(2021, 2, 1))))"
2:00:00

tags: added: verification-done-groovy
removed: verification-needed-groovy
Brian Murray (brian-murray) wrote :

tzdata verification for focal:

bdmurray@clean-focal-amd64:~$ zdump -v Africa/Juba | grep 2021
bdmurray@clean-focal-amd64:~$ sudo apt-get install tzdata
[sudo] password for bdmurray:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  tzdata
1 upgraded, 0 newly installed, 0 to remove and 30 not upgraded.
Need to get 295 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://192.168.10.7/ubuntu focal-proposed/main amd64 tzdata all 2021a-0ubuntu0.20.04 [295 kB]
Fetched 295 kB in 0s (9,897 kB/s)
Preconfiguring packages ...
(Reading database ... 223660 files and directories currently installed.)
Preparing to unpack .../tzdata_2021a-0ubuntu0.20.04_all.deb ...
Unpacking tzdata (2021a-0ubuntu0.20.04) over (2020f-0ubuntu0.20.04.1) ...
Setting up tzdata (2021a-0ubuntu0.20.04) ...

Current default time zone: 'America/Los_Angeles'
Local time is now: Thu Jan 28 09:33:43 PST 2021.
Universal Time is now: Thu Jan 28 17:33:43 UTC 2021.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

bdmurray@clean-focal-amd64:~$ zdump -v Africa/Juba | grep 2021
Africa/Juba Sun Jan 31 20:59:59 2021 UT = Sun Jan 31 23:59:59 2021 EAT isdst=0 gmtoff=10800
Africa/Juba Sun Jan 31 21:00:00 2021 UT = Sun Jan 31 23:00:00 2021 CAT isdst=0 gmtoff=7200

verification of the icu-data change:

bdmurray@clean-focal-amd64:~$ python3 -c "from datetime import datetime; from icu import ICUtzinfo, TimeZone; tz = ICUtzinfo(TimeZone.create
TimeZone('Africa/Juba')); print(str(tz.utcoffset(datetime(2021, 2, 1))))"
2:00:00

tags: added: verification-done-focal
removed: verification-needed-focal
Brian Murray (brian-murray) wrote :

Verification for Bionic:

bdmurray@clean-bionic-amd64:~$ apt-cache policy tzdata
tzdata:
  Installed: 2021a-0ubuntu0.18.04
  Candidate: 2021a-0ubuntu0.18.04
  Version table:
 *** 2021a-0ubuntu0.18.04 500
        500 http://ubuntu.osuosl.org/ubuntu bionic-proposed/main amd64 Packages
        500 http://ubuntu.osuosl.org/ubuntu bionic-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     2020f-0ubuntu0.18.04 500
        500 http://ubuntu.osuosl.org/ubuntu bionic-updates/main amd64 Packages
        500 http://ubuntu.osuosl.org/ubuntu bionic-updates/main i386 Packages
        500 http://ubuntu.osuosl.org/ubuntu bionic-security/main amd64 Packages
        500 http://ubuntu.osuosl.org/ubuntu bionic-security/main i386 Packages
     2018d-1 500
        500 http://ubuntu.osuosl.org/ubuntu bionic/main amd64 Packages
        500 http://ubuntu.osuosl.org/ubuntu bionic/main i386 Packages
bdmurray@clean-bionic-amd64:~$ zdump -v Africa/Juba | grep 2021
Africa/Juba Sun Jan 31 20:59:59 2021 UT = Sun Jan 31 23:59:59 2021 EAT isdst=0 gmtoff=10800
Africa/Juba Sun Jan 31 21:00:00 2021 UT = Sun Jan 31 23:00:00 2021 CAT isdst=0 gmtoff=7200

System V Test Case:

bdmurray@clean-bionic-amd64:~$ diff <(zdump -v America/Phoenix | cut -d' ' -f2-) <(zdump -v SystemV/MST7 | cut -d' ' -f2-)
bdmurray@clean-bionic-amd64:~$

Brian Murray (brian-murray) wrote :

Verification for Xenial:

(xenial-amd64)root@impulse:~# apt-cache policy tzdata
tzdata:
  Installed: 2021a-0ubuntu0.16.04
  Candidate: 2021a-0ubuntu0.16.04
  Version table:
 *** 2021a-0ubuntu0.16.04 500
        500 http://ubuntu.osuosl.org/ubuntu xenial-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2020f-0ubuntu0.16.04 500
        500 http://ubuntu.osuosl.org/ubuntu xenial-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages
     2016d-0ubuntu0.16.04 500
        500 http://ubuntu.osuosl.org/ubuntu xenial/main amd64 Packages
(xenial-amd64)root@impulse:~# zdump -v Africa/Juba | grep 2021
Africa/Juba Sun Jan 31 20:59:59 2021 UT = Sun Jan 31 23:59:59 2021 EAT isdst=0 gmtoff=10800
Africa/Juba Sun Jan 31 21:00:00 2021 UT = Sun Jan 31 23:00:00 2021 CAT isdst=0 gmtoff=7200
(xenial-amd64)root@impulse:~# diff <(zdump -v America/Phoenix | cut -d' ' -f2-) <(zdump -v SystemV/MST7 | cut -d' ' -f2-)
(xenial-amd64)root@impulse:~#

tags: added: verification-done verification-done-bionic verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2021a-0ubuntu0.20.10

---------------
tzdata (2021a-0ubuntu0.20.10) groovy; urgency=medium

  * New upstream version (LP: #1913482), affecting the following future timestamp:
    - South Sudan changes from +03 to +02 on 2021-02-01 at 00:00.
  * Update ICU timezone data files which are utilized by php and update them
    to 2021a.

 -- Brian Murray <email address hidden> Wed, 27 Jan 2021 11:53:19 -0800

Changed in tzdata (Ubuntu Groovy):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for tzdata has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2021a-0ubuntu0.20.04

---------------
tzdata (2021a-0ubuntu0.20.04) focal; urgency=medium

  * New upstream version (LP: #1913482), affecting the following future timestamp:
    - South Sudan changes from +03 to +02 on 2021-02-01 at 00:00.
  * Update ICU timezone data files which are utilized by php and update them
    to 2021a.

 -- Brian Murray <email address hidden> Wed, 27 Jan 2021 13:32:53 -0800

Changed in tzdata (Ubuntu Focal):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2021a-0ubuntu0.18.04

---------------
tzdata (2021a-0ubuntu0.18.04) bionic; urgency=medium

  * New upstream version (LP: #1913482), affecting the following future timestamp:
    - South Sudan changes from +03 to +02 on 2021-02-01 at 00:00.

 -- Brian Murray <email address hidden> Wed, 27 Jan 2021 13:46:22 -0800

Changed in tzdata (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2021a-0ubuntu0.16.04

---------------
tzdata (2021a-0ubuntu0.16.04) xenial; urgency=medium

  * New upstream version (LP: #1913482), affecting the following future timestamp:
    - South Sudan changes from +03 to +02 on 2021-02-01 at 00:00.

 -- Brian Murray <email address hidden> Wed, 27 Jan 2021 13:53:41 -0800

Changed in tzdata (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Steve Beattie (sbeattie) wrote :

Hi Brian, thanks for preparing the debdiffs. I built, tested, and published the updated tzdata packages to the trusty/esm and precise/esm archives.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers